Method: projects.locations.dataScans.jobs.cancel

Cancels a running/pending DataScan job.

HTTP request

POST https://dataplex.googleapis.com/v1/{name=projects/*/locations/*/dataScans/*/jobs/*}:cancel

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The resource name of the DataScanJob: projects/{project_id_or_number}/locations/{locationId}/dataScans/{dataScanId}/jobs/{data_scan_job_id} where project_id_or_number refers to a projectId or projectNumber and locationId refers to a Google Cloud region.

Authorization requires the following IAM permission on the specified resource name:

  • dataplex.datascans.cancel

Request body

The request body must be empty.

Response body

If successful, the response body is empty.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/dataplex.read-write

For more information, see the Authentication Overview.